> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecomail.cz/llms.txt
> Use this file to discover all available pages before exploring further.

# List all templates

> Retrieve all email templates in your account.

<RequestExample>
  ```bash cURL theme={null}
  curl https://api2.ecomailapp.cz/templates \
    -H "key: YOUR_API_KEY" \
    -H "Content-Type: application/json"
  ```

  ```php PHP theme={null}
  $ch = curl_init();
  curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/templates');
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      'key: YOUR_API_KEY',
      'Content-Type: application/json',
  ]);
  $response = curl_exec($ch);
  curl_close($ch);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "id": 1234,
      "folder": 0,
      "name": "Some Template Name",
      "html": "<html>Html code here...</html>",
      "campaign_id": 5678,
      "created_at": "2024-02-12 15:13:16",
      "updated_at": "2024-02-12 15:13:26"
    }
  ]
  ```
</ResponseExample>
